<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MFLTGlyph</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MFLTGlyph<br/>
<small>
[<a class="el" href="group__m17nFLT.html">FLT API</a>]</small>
</h1><!-- doxytag: class="MFLTGlyph" -->
<p>グリフに関する情報の型.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#aba7544461f4fd996ef784d1aac1edbbf">c</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a7109fc2236f80a4bc1b0c29530a9718b">code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a3997cefcea27225adf38fe5720443b25">from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ac53dc0c1cbf143c355b844f82906b702">to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#adc2d36c54171be0b60910d450391ca90">xadv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a4f6bdf7dcd6eb716dfbd04d3bebe0715">yadv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ae011c93beb83519e10926d6832bde6e4">ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#aab0fb75f16933235700a2a0448608280">descent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a262d31edb49b724d4150812689ab05ef">lbearing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a60884dd3055c58c648da8f2aa300d9ca">rbearing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ad1893a4e7b67bae84bf5f8969f0f74e2">xoff</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a4ab4bb4a600a8eb211d2b29b7118f9fa">yoff</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a98d0801d98d007498644412a971562ec">encoded</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ac02feb7f094d931107491d9f1219aec8">measured</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a000662b1f296fd0531b1de9b833b1f2a">adjusted</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a0b2d21195c9e213070e3cd20b2432e8f">internal</a>: 30</td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>グリフに関する情報の型. </p>
<p>型 <a class="el" href="structMFLTGlyph.html" title="グリフに関する情報の型.">MFLTGlyph</a> は、グリフに関する情報を格納する構造体である。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="aba7544461f4fd996ef784d1aac1edbbf"></a><!-- doxytag: member="MFLTGlyph::c" ref="aba7544461f4fd996ef784d1aac1edbbf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#aba7544461f4fd996ef784d1aac1edbbf">MFLTGlyph::c</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの (Unicode における) 文字コード。関数 <a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213" title="指定された文字とフォントに合った FLT を探す.">mflt_find()</a> と <a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d" title="FLT を使って文字をレイアウトする.">mflt_run()</a> を呼び出す前セットすべき唯一のメンバーである。 </p>

</div>
</div>
<a class="anchor" id="a7109fc2236f80a4bc1b0c29530a9718b"></a><!-- doxytag: member="MFLTGlyph::code" ref="a7109fc2236f80a4bc1b0c29530a9718b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMFLTGlyph.html#a7109fc2236f80a4bc1b0c29530a9718b">MFLTGlyph::code</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>フォント内におけるそのグリフの ID。 </p>

</div>
</div>
<a class="anchor" id="a3997cefcea27225adf38fe5720443b25"></a><!-- doxytag: member="MFLTGlyph::from" ref="a3997cefcea27225adf38fe5720443b25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a3997cefcea27225adf38fe5720443b25">MFLTGlyph::from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="structMFLTGlyphString.html" title="グリフ列の情報のための型.">MFLTGlyphString</a> の中で、このグリフによって置き換えられる部分の先頭のインデクス。 </p>

</div>
</div>
<a class="anchor" id="ac53dc0c1cbf143c355b844f82906b702"></a><!-- doxytag: member="MFLTGlyph::to" ref="ac53dc0c1cbf143c355b844f82906b702" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#ac53dc0c1cbf143c355b844f82906b702">MFLTGlyph::to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="structMFLTGlyphString.html" title="グリフ列の情報のための型.">MFLTGlyphString</a> の中で、このグリフによって置き換えられる部分の末尾のインデクス。 </p>

</div>
</div>
<a class="anchor" id="adc2d36c54171be0b60910d450391ca90"></a><!-- doxytag: member="MFLTGlyph::xadv" ref="adc2d36c54171be0b60910d450391ca90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#adc2d36c54171be0b60910d450391ca90">MFLTGlyph::xadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>横書き時の送り幅を 26.6 fractional pixel format で表現したもの。 </p>

</div>
</div>
<a class="anchor" id="a4f6bdf7dcd6eb716dfbd04d3bebe0715"></a><!-- doxytag: member="MFLTGlyph::yadv" ref="a4f6bdf7dcd6eb716dfbd04d3bebe0715" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a4f6bdf7dcd6eb716dfbd04d3bebe0715">MFLTGlyph::yadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>縦書き時の送り高を 26.6 fractional pixel format で表現したもの。 </p>

</div>
</div>
<a class="anchor" id="ae011c93beb83519e10926d6832bde6e4"></a><!-- doxytag: member="MFLTGlyph::ascent" ref="ae011c93beb83519e10926d6832bde6e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#ae011c93beb83519e10926d6832bde6e4">MFLTGlyph::ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>このグリフのインクメトリックを 26.6 fractional pixel format で表現したもの。 </p>

</div>
</div>
<a class="anchor" id="aab0fb75f16933235700a2a0448608280"></a><!-- doxytag: member="MFLTGlyph::descent" ref="aab0fb75f16933235700a2a0448608280" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#aab0fb75f16933235700a2a0448608280">MFLTGlyph::descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a262d31edb49b724d4150812689ab05ef"></a><!-- doxytag: member="MFLTGlyph::lbearing" ref="a262d31edb49b724d4150812689ab05ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a262d31edb49b724d4150812689ab05ef">MFLTGlyph::lbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a60884dd3055c58c648da8f2aa300d9ca"></a><!-- doxytag: member="MFLTGlyph::rbearing" ref="a60884dd3055c58c648da8f2aa300d9ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a60884dd3055c58c648da8f2aa300d9ca">MFLTGlyph::rbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad1893a4e7b67bae84bf5f8969f0f74e2"></a><!-- doxytag: member="MFLTGlyph::xoff" ref="ad1893a4e7b67bae84bf5f8969f0f74e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#ad1893a4e7b67bae84bf5f8969f0f74e2">MFLTGlyph::xoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフ位置決めの際の水平・垂直調整値を、 26.6 fractional pixel format で表現したもの。 </p>

</div>
</div>
<a class="anchor" id="a4ab4bb4a600a8eb211d2b29b7118f9fa"></a><!-- doxytag: member="MFLTGlyph::yoff" ref="a4ab4bb4a600a8eb211d2b29b7118f9fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a4ab4bb4a600a8eb211d2b29b7118f9fa">MFLTGlyph::yoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a98d0801d98d007498644412a971562ec"></a><!-- doxytag: member="MFLTGlyph::encoded" ref="a98d0801d98d007498644412a971562ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#a98d0801d98d007498644412a971562ec">MFLTGlyph::encoded</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>メンバー &lt;code&gt; に既にグリフ ID がセットされているか否かを示すフラグ。 </p>

</div>
</div>
<a class="anchor" id="ac02feb7f094d931107491d9f1219aec8"></a><!-- doxytag: member="MFLTGlyph::measured" ref="ac02feb7f094d931107491d9f1219aec8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#ac02feb7f094d931107491d9f1219aec8">MFLTGlyph::measured</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>メンバー &lt;xadv&gt; から &lt;rbearing&gt; までの各メトリックが既に計算済か否かを示すフラグ。 </p>

</div>
</div>
<a class="anchor" id="a000662b1f296fd0531b1de9b833b1f2a"></a><!-- doxytag: member="MFLTGlyph::adjusted" ref="a000662b1f296fd0531b1de9b833b1f2a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#a000662b1f296fd0531b1de9b833b1f2a">MFLTGlyph::adjusted</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフのメトリックが調整済みか否か、 すなわち以下のうち1つ以上が成立していることを示すフラグ。 &lt;xadv&gt; が標準の値と異なる、 &lt;yadv&gt; が標準の値と異なる、 &lt;xoff&gt; がゼロでない、 &lt;yoff&gt; がゼロでない。 </p>

</div>
</div>
<a class="anchor" id="a0b2d21195c9e213070e3cd20b2432e8f"></a><!-- doxytag: member="MFLTGlyph::internal" ref="a0b2d21195c9e213070e3cd20b2432e8f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#a0b2d21195c9e213070e3cd20b2432e8f">MFLTGlyph::internal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>m17n-lib 内部作業用。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
